/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.common.batchprocess;

import java.util.Collection;

import gov.va.med.esr.common.util.AbstractCommonTestCase;
import gov.va.med.fw.batchprocess.BatchProcessInvoker;

/**
 * Initial javadoc for class TestBatchProcessInvoker.
 * TODO - Add content here
 * 
 * Created Jan 27, 2006 3:27:18 PM
 * @author DNS   BOHMEG
 */
public class TestBatchProcessInvoker extends AbstractCommonTestCase {
	private BatchProcessInvoker invoker;
	
	public void testGetDetails() {
		Collection details = invoker.getBatchProcessDetails();
		System.out.println(details);
		assertNotNull(details);
	}

	/**
	 * @return Returns the invoker.
	 */
	public BatchProcessInvoker getInvoker() {
		return invoker;
	}

	/**
	 * @param invoker The invoker to set.
	 */
	public void setInvoker(BatchProcessInvoker invoker) {
		this.invoker = invoker;
	}
}
